%define upstream_name    Linux-Clone
%define upstream_version 0.01

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    An interface to the linux clone(2) and unshare(2) syscalls
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/M/ML/MLEHMANN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
%description
This module exposes the linux clone(2) and unshare(2) syscalls to Perl.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc COPYING Changes META.json META.yml MYMETA.yml README
%{perl_vendorarch}/Linux/Clone*
%{perl_vendorarch}/auto/Linux/Clone*
%{_mandir}/*/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.10.0-7.mga6
+ Revision: 1029162
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.10.0-6.mga6
+ Revision: 957621
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 0.10.0-5.mga6
+ Revision: 842721
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.10.0-4.mga5
+ Revision: 750999
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.10.0-3.mga5
+ Revision: 685224
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.10.0-2.mga5
+ Revision: 631371
- Rebuild for perl 5.20

* Tue May 06 2014 pterjan <pterjan> 0.10.0-1.mga5
+ Revision: 620907
- imported package perl-Linux-Clone

